My Project: dgList< T > Class Template Reference

My Project

Classes | Public Member Functions | Friends | List of all members
dgList< T > Class Template Reference

`#include <dgList.h>`

## Classes

class | dgListNode
class | Iterator

## Public Member Functions

| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const T &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const T &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const T &element) const
dgListNode * | GetNodeFromInfo (T &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const T &element)
void | RemoveAll ()
void | Merge (dgList< T > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Friends

class | dgListNode

## Constructor & Destructor Documentation

## § dgList()

template<class T >

dgList< T >::dgList | ( | dgMemoryAllocator *const | allocator | ) |

## § ~dgList()

template<class T >

dgList< T >::~dgList | ( |  | ) |

virtual

## Member Function Documentation

## § Addtop() [1/3]

template<class T >

dgList< T >::dgListNode * dgList< T >::Addtop | ( |  | ) |

## § Addtop() [2/3]

template<class T >

dgList< T >::dgListNode * dgList< T >::Addtop | ( | dgListNode *const | node | ) |

## § Addtop() [3/3]

template<class T>

dgList< T >::dgListNode * dgList< T >::Addtop | ( | const T & | element | ) |

## § Append() [1/3]

template<class T >

dgList< T >::dgListNode * dgList< T >::Append | ( |  | ) |

## § Append() [2/3]

template<class T >

dgList< T >::dgListNode * dgList< T >::Append | ( | dgListNode *const | node | ) |

## § Append() [3/3]

template<class T>

dgList< T >::dgListNode * dgList< T >::Append | ( | const T & | element | ) |

## § Find()

template<class T>

dgList< T >::dgListNode * dgList< T >::Find | ( | const T & | element | ) | const

## § GetAllocator()

template<class T >

dgMemoryAllocator * dgList< T >::GetAllocator | ( |  | ) | const

## § GetCount()

template<class T >

dgInt32 dgList< T >::GetCount | ( |  | ) | const

## § GetFirst()

template<class T >

dgList< T >::dgListNode * dgList< T >::GetFirst | ( |  | ) | const

## § GetLast()

template<class T >

dgList< T >::dgListNode * dgList< T >::GetLast | ( |  | ) | const

## § GetNodeFromInfo()

template<class T>

dgList< T >::dgListNode * dgList< T >::GetNodeFromInfo | ( | T & | m_info | ) | const

## § InsertAfter()

template<class T >

void dgList< T >::InsertAfter | ( | dgListNode *const | root,
|  | dgListNode *const | node
| ) |  |

## § InsertBefore()

template<class T >

void dgList< T >::InsertBefore | ( | dgListNode *const | root,
|  | dgListNode *const | node
| ) |  |

## § Merge()

template<class T>

void dgList< T >::Merge | ( | dgList< T > & | list | ) |

## § operator dgInt32()

template<class T >

dgList< T >::operator dgInt32 | ( |  | ) | const

## § Remove() [1/2]

template<class T >

void dgList< T >::Remove | ( | dgListNode *const | node | ) |

## § Remove() [2/2]

template<class T>

void dgList< T >::Remove | ( | const T & | element | ) |

## § RemoveAll()

template<class T >

void dgList< T >::RemoveAll | ( |  | ) |

## § RotateToBegin()

template<class T >

void dgList< T >::RotateToBegin | ( | dgListNode *const | node | ) |

## § RotateToEnd()

template<class T >

void dgList< T >::RotateToEnd | ( | dgListNode *const | node | ) |

## § SanityCheck()

template<class T >

bool dgList< T >::SanityCheck | ( |  | ) | const

## § SetAllocator()

template<class T >

void dgList< T >::SetAllocator | ( | dgMemoryAllocator *const | allocator | ) |

## § Unlink()

template<class T >

void dgList< T >::Unlink | ( | dgListNode *const | node | ) |

## Friends And Related Function Documentation

## § dgListNode

template<class T>

friend class dgListNode

friend

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgList.h